ipa.h File Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# ipa.h File Reference

## Data Structures

struct | _wmfBMP_Draw_t
struct | _wmfBMP_Read_t
struct | _wmfBMP
struct | _wmfBrush
struct | _wmfColorData
struct | _wmfDC
struct | _wmfDrawArc_t
struct | _wmfDrawLine_t
struct | _wmfDrawPixel_t
struct | _wmfDrawRectangle_t
struct | _wmfDrawText_t
struct | _wmfFlood_t
struct | _wmfFont
struct | _wmfFontData
struct | _wmfFunctionReference
struct | _wmfPen
struct | _wmfPolyLine_t
struct | _wmfPolyPoly_t
struct | _wmfPolyRectangle_t
struct | _wmfRGB
struct | _wmfROP_Draw_t
struct | _wmfUserData_t

## Typedefs

typedef _wmfRGB | wmfRGB
typedef _wmfBMP | wmfBMP
typedef _wmfBrush | wmfBrush
typedef _wmfPen | wmfPen
typedef _wmfFont | wmfFont
typedef _wmfFontData | wmfFontData
typedef _wmfColorData | wmfColorData
typedef _wmfDC | wmfDC
typedef _wmfFlood_t | wmfFlood_t
typedef _wmfDrawPixel_t | wmfDrawPixel_t
typedef _wmfDrawArc_t | wmfDrawArc_t
typedef _wmfDrawLine_t | wmfDrawLine_t
typedef _wmfPolyLine_t | wmfPolyLine_t
typedef _wmfPolyPoly_t | wmfPolyPoly_t
typedef _wmfDrawRectangle_t | wmfDrawRectangle_t
typedef _wmfPolyRectangle_t | wmfPolyRectangle_t
typedef _wmfBMP_Read_t | wmfBMP_Read_t
typedef _wmfBMP_Draw_t | wmfBMP_Draw_t
typedef _wmfROP_Draw_t | wmfROP_Draw_t
typedef _wmfDrawText_t | wmfDrawText_t
typedef _wmfUserData_t | wmfUserData_t
typedef _wmfFunctionReference | wmfFunctionReference
typedef float(* | wmfStringWidth )(wmfAPI *, wmfFont *, char *)
typedef void(* | wmfMap )(wmfAPI *, wmfFont *)

## Functions

void | wmf_ipa_bmp_b64 (wmfAPI *, wmfBMP_Draw_t *, wmfStream *)
void | wmf_ipa_bmp_png (wmfAPI *, wmfBMP_Draw_t *, char *)
void | wmf_ipa_bmp_jpg (wmfAPI *, wmfBMP_Draw_t *, char *)
void | wmf_ipa_bmp_eps (wmfAPI *, wmfBMP_Draw_t *, char *)
void | wmf_ipa_bmp_read (wmfAPI *, wmfBMP_Read_t *)
void | wmf_ipa_bmp_free (wmfAPI *, wmfBMP *)
wmfBMP | wmf_ipa_bmp_copy (wmfAPI *, wmfBMP *, unsigned int, unsigned int)
int | wmf_ipa_bmp_color (wmfAPI *, wmfBMP *, wmfRGB *, unsigned int, unsigned int)
void | wmf_ipa_bmp_setcolor (wmfAPI *, wmfBMP *, wmfRGB *, unsigned char, unsigned int, unsigned int)
int | wmf_ipa_bmp_interpolate (wmfAPI *, wmfBMP *, wmfRGB *, float, float)
void | wmf_ipa_color_init (wmfAPI *)
void | wmf_ipa_color_add (wmfAPI *, wmfRGB *)
unsigned long | wmf_ipa_color_index (wmfAPI *, wmfRGB *)
unsigned long | wmf_ipa_color_count (wmfAPI *)
wmfRGB * | wmf_ipa_color (wmfAPI *, unsigned long)
char * | wmf_ipa_page_format (wmfAPI *, wmf_page_t)
unsigned int | wmf_ipa_page_width (wmfAPI *, wmf_page_t)
unsigned int | wmf_ipa_page_height (wmfAPI *, wmf_page_t)
wmfRGB | wmf_rgb_color (wmfAPI *, float, float, float)

## Variables

wmfRGB | wmf_rgb_white (wmfAPI *)
wmfRGB | wmf_rgb_black (wmfAPI *)

## Typedef Documentation

typedef struct _wmfBMP wmfBMP

typedef struct _wmfBMP_Draw_t wmfBMP_Draw_t

typedef struct _wmfBMP_Read_t wmfBMP_Read_t

typedef struct _wmfBrush wmfBrush

typedef struct _wmfColorData wmfColorData

typedef struct _wmfDC wmfDC

typedef struct _wmfDrawArc_t wmfDrawArc_t

typedef struct _wmfDrawLine_t wmfDrawLine_t

typedef struct _wmfDrawPixel_t wmfDrawPixel_t

typedef struct _wmfDrawRectangle_t wmfDrawRectangle_t

typedef struct _wmfDrawText_t wmfDrawText_t

typedef struct _wmfFlood_t wmfFlood_t

typedef struct _wmfFont wmfFont

typedef struct _wmfFontData wmfFontData

typedef struct _wmfFunctionReference wmfFunctionReference

typedef void(* wmfMap)(wmfAPI*,wmfFont*)

typedef struct _wmfPen wmfPen

typedef struct _wmfPolyLine_t wmfPolyLine_t

typedef struct _wmfPolyPoly_t wmfPolyPoly_t

typedef struct _wmfPolyRectangle_t wmfPolyRectangle_t

typedef struct _wmfRGB wmfRGB

typedef struct _wmfROP_Draw_t wmfROP_Draw_t

typedef float(* wmfStringWidth)(wmfAPI*,wmfFont*,char*)

typedef struct _wmfUserData_t wmfUserData_t

## Function Documentation

void wmf_ipa_bmp_b64 | ( | wmfAPI * | ,
|  | wmfBMP_Draw_t * | ,
|  | wmfStream * |
| ) |

int wmf_ipa_bmp_color | ( | wmfAPI * | ,
|  | wmfBMP * | ,
|  | wmfRGB * | ,
|  | unsigned | int,
|  | unsigned | int
| ) |

wmfBMP wmf_ipa_bmp_copy | ( | wmfAPI * | ,
|  | wmfBMP * | ,
|  | unsigned | int,
|  | unsigned | int
| ) |

void wmf_ipa_bmp_eps | ( | wmfAPI * | ,
|  | wmfBMP_Draw_t * | ,
|  | char * |
| ) |

void wmf_ipa_bmp_free | ( | wmfAPI * | ,
|  | wmfBMP * |
| ) |

int wmf_ipa_bmp_interpolate | ( | wmfAPI * | ,
|  | wmfBMP * | ,
|  | wmfRGB * | ,
|  | float | ,
|  | float |
| ) |

void wmf_ipa_bmp_jpg | ( | wmfAPI * | ,
|  | wmfBMP_Draw_t * | ,
|  | char * |
| ) |

void wmf_ipa_bmp_png | ( | wmfAPI * | ,
|  | wmfBMP_Draw_t * | ,
|  | char * |
| ) |

void wmf_ipa_bmp_read | ( | wmfAPI * | ,
|  | wmfBMP_Read_t * |
| ) |

void wmf_ipa_bmp_setcolor | ( | wmfAPI * | ,
|  | wmfBMP * | ,
|  | wmfRGB * | ,
|  | unsigned | char,
|  | unsigned | int,
|  | unsigned | int
| ) |

wmfRGB* wmf_ipa_color | ( | wmfAPI * | API,
|  | unsigned long | index
| ) |

Get indexed color.

Parameters:

  API | the API handle
  index | the index of the color

Returns:
  Returns pointer to the indexed color.

void wmf_ipa_color_add | ( | wmfAPI * | API,
|  | wmfRGB * | rgb
| ) |

Add a color to the internal table.

Parameters:

  API | the API handle
  rgb | pointer to the color to be added

unsigned long wmf_ipa_color_count | ( | wmfAPI * | API | ) |

Get the number of indexed colors.

Parameters:

  API | the API handle

Returns:
  Returns the number of indexed colors.

unsigned long wmf_ipa_color_index | ( | wmfAPI * | API,
|  | wmfRGB * | rgb
| ) |

Find closest matching color in internal table and return its index.

Parameters:

  API | the API handle
  rgb | pointer to the color to be matched

Returns:
  Returns the index of the closest matching color.

void wmf_ipa_color_init | ( | wmfAPI * | API | ) |

Initialize internal color table

Parameters:

  API | the API handle

char* wmf_ipa_page_format | ( | wmfAPI * | ,
|  | wmf_page_t |
| ) |

unsigned int wmf_ipa_page_height | ( | wmfAPI * | ,
|  | wmf_page_t |
| ) |

unsigned int wmf_ipa_page_width | ( | wmfAPI * | ,
|  | wmf_page_t |
| ) |

wmfRGB wmf_rgb_color | ( | wmfAPI * | API,
|  | float | red,
|  | float | green,
|  | float | blue
| ) |

Create a color with specified fractions of red, green and blue.

Parameters:

  API | the API handle
  red | fraction (0 to 1 inclusive) of color red
  green | fraction (0 to 1 inclusive) of color green
  blue | fraction (0 to 1 inclusive) of color blue

wmf_rgb_color (API,1,1,1) returns wmf_white.

wmf_rgb_color (API,0,0,0) returns wmf_black.

Returns:
  Returns the color.

## Variable Documentation

wmfRGB wmf_rgb_black(wmfAPI*)

wmfRGB wmf_rgb_white(wmfAPI*)